akay0402
Posts: 14
Joined: Sat Apr 06, 2019 12:12 pm

Unable to install pyzmq and RPi.GPIO from requirements.txt

Sat Apr 06, 2019 12:24 pm

Hi Team,

I'm trying to install "pyzmq" and "RPi.GPIO" for a project
I have a raspberry pi zero (Model: WH)
Raspbian Stretch lite installed

I'm using the below command

Code: Select all

pip install -r "${DIR}/requirements.txt"
  • pyzmq==15.2.0
  • RPi.GPIO==0.5.11
Failed building wheel for pyzmq
Failed building wheel for RPi.GPIO
The code I'm working on is from this url https://github.com/nathanpjones/GaragePi

I'm fairly new to Python and any help would be greatly appreciated

Thanks
Arul.

MisterYsLab
Posts: 10
Joined: Mon Dec 15, 2014 7:16 pm

Re: Unable to install pyzmq and RPi.GPIO from requirements.txt

Sat Apr 06, 2019 1:42 pm

To see available wheels go to https://www.piwheels.org.

In a virtualenv install the latest versions of both packages using pip, remove both from the requirements list and reinstall.

User avatar
croston
Posts: 707
Joined: Sat Nov 26, 2011 12:33 pm
Location: Blackpool
Contact: Website

Re: Unable to install pyzmq and RPi.GPIO from requirements.txt

Sat Apr 06, 2019 1:47 pm

The latest version of RPi.GPIO is 0.6.5. The version you are trying to install is 0.5.11, which is four years old. This is not your immediate problem however but it shows just how out of date the project instructions are.

Things to try:
1) sudo apt install python3-dev
2) Change requirements.txt to remove '==version' from RPi.GPIO and pyzmq lines

akay0402
Posts: 14
Joined: Sat Apr 06, 2019 12:12 pm

Re: Unable to install pyzmq and RPi.GPIO from requirements.txt

Sat Apr 06, 2019 10:16 pm

croston wrote:
Sat Apr 06, 2019 1:47 pm
The latest version of RPi.GPIO is 0.6.5. The version you are trying to install is 0.5.11, which is four years old. This is not your immediate problem however but it shows just how out of date the project instructions are.

Things to try:
1) sudo apt install python3-dev
2) Change requirements.txt to remove '==version' from RPi.GPIO and pyzmq lines
Hi Croston,

This worked perfectly
However now, I don't know how to proceed

the installation completed successfully (All done!)
But I don't know how I access the webportal from here. I tried accessing (http://192.x.x.x or https://192.x.x.x), but there's no webpage there and it refused to connect

The garagepi service was running

Code: Select all

sudo service garagepi status
Although lighttpd service had failed

Code: Select all

sudo service lighttpd status
And also since the installation I had rebooted the pi, and don't know how to start everything

Thanks,
Arul.

Return to “Python”